I tried POW. http://pow.cx/ It didn't work either. But the Demo site works 
well in Passenger + Nginx environment on my remote server.

The most interesting thing I found today was that the Demo site runs well 
in my office. Even I set up the same environment in computers in both my 
home and my office. The only difference is the CPU. Can't understand why. 
There is an article I am reading 
http://stackoverflow.com/questions/10177038/illegal-instruction-4-shows-up-in-os-x-lion



On Thursday, November 8, 2012 2:42:23 AM UTC+11, John Moroney wrote:
>
> I have not tried this yet, but I have heard from a very experienced source 
> that using Thin makes this problem go away. Let me know if it works:
>
> http://code.macournoyer.com/thin/
>
>
>
> On Nov 4, 2012, at 2:25 AM, Gang Wang wrote:
>
> I am new to radiant. After installing Radiant 1.1.0, I can get DEMO site 
> running. But after viewing a few of pages (public pages or admin pages), I 
> got those errors. 
>
> SystemStackError (stack level too deep):
>   
> Rendered rescues/_trace (1.4ms)
> Rendered rescues/_request_and_response (1.1ms)
> Rendering rescues/layout (internal_server_error)
> Illegal instruction: 4
>
> I changed my ruby stack size and even reinstalled my system but still 
> can't fix the errors. I didn't encounter any issues when I was with radiant 
> 1.0.1. 
>
> I am using
>
> rvm 1.16.17 (stable)
> brew installed GCC /usr/local/Cellar/apple-gcc42/4.2.1-5666.3
> mysql-5.5.27
>
> RubyGems Environment:
>   - RUBYGEMS VERSION: 1.8.24
>   - RUBY VERSION: 1.9.3 (2012-10-12 patchlevel 286) [x86_64-darwin11.4.2]
>   - INSTALLATION DIRECTORY: /Users/harry/.rvm/gems/ruby-1.9.3-p286@test1
>   - RUBY EXECUTABLE: /Users/harry/.rvm/rubies/ruby-1.9.3-p286/bin/ruby
>   - EXECUTABLE DIRECTORY: /Users/harry/.rvm/gems/ruby-1.9.3-p286@test1/bin
>   - RUBYGEMS PLATFORMS:
>     - ruby
>     - x86_64-darwin-11
>   - GEM PATHS:
>      - /Users/harry/.rvm/gems/ruby-1.9.3-p286@test1
>      - /Users/harry/.rvm/gems/ruby-1.9.3-p286@global
>   - GEM CONFIGURATION:
>      - :update_sources => true
>      - :verbose => true
>      - :benchmark => false
>      - :backtrace => false
>      - :bulk_threshold => 1000
>   - REMOTE SOURCES:
>      - http://rubygems.org/
>
> I have spent 2 weeks but still can't sort it out. Any help will be 
> appreciated. 
>
>
>

Reply via email to